# $Revision: 1.13 $, $Date: 2011/10/27 19:59:53 $
%define		plugin rrdclean
%define		php_min_version 5.0.0
%include	/usr/lib/rpm/macros.php
Summary:	Cacti RRD File Cleaner
Name:		cacti-plugin-%{plugin}
Version:	0.41
Release:	1
License:	GPL v2
Group:		Applications/WWW
Source0:	http://docs.cacti.net/_media/plugin:rrdclean-v%{version}.tgz
# Source0-md5:	e9dd1eeea27003ebb5239a1fa08b73ef
Patch0:		paths.patch
URL:		http://docs.cacti.net/plugin:rrdclean
Requires:	cacti >= 0.8.7
Requires:	cacti(pia) >= 2.4
Requires:	php-common >= 4:%{php_min_version}
Requires:	php-date
Requires:	php-pcre
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		cactidir		/usr/share/cacti
%define		plugindir		%{cactidir}/plugins/%{plugin}
%define		rradir			/var/lib/cacti/rra

%description
This plugin analyzes many cacti db structures to determine unused rrd
files.

%prep
%setup -qc
cd %{plugin}
%patch0 -p1
cd ..

mv %{plugin}/{README,LICENSE} .

# cleanup backups after patching
find '(' -name '*~' -o -name '*.orig' ')' -print0 | xargs -0 -r -l512 rm -f

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{plugindir},%{rradir}/{backup,archive}}
cp -a %{plugin}/* $RPM_BUILD_ROOT%{plugindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%{plugindir}
%attr(770,root,http) %dir %{rradir}/archive
%attr(770,root,http) %dir %{rradir}/backup

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: cacti-plugin-rrdclean.spec,v $
Revision 1.13  2011/10/27 19:59:53  glen
- up to 0.41; fix-paths-handling.patch, warning-fixes.patch, rrdmove-fixes.patch applied upstream

Revision 1.12  2010/12/14 08:35:05  glen
- fix rrdmove, it was totally broken, i.e created only parent dir of parent dir of target rrd, so simplify and make rrdclean_create_path work on dir

Revision 1.11  2010/12/14 07:41:56  glen
- use string not undefined constant

Revision 1.10  2010/12/14 07:40:27  glen
- respect paths set from configuration
- fix wrong param reference as well

Revision 1.9  2010/12/14 07:38:19  glen
- up to 0.40
- add backup and archive dirs
- updated deps

Revision 1.8  2008/10/05 11:18:07  glen
- simplify macros and cleanups

Revision 1.7  2007/12/26 13:06:27  glen
- cleanups

Revision 1.6  2007-11-22 00:46:27  wolvverine
- rel.1, typo

Revision 1.5  2007-11-21 21:27:16  wolvverine
- v.0.32

Revision 1.4  2007-02-12 21:23:50  glen
- tabs in preamble

Revision 1.3  2007/02/12 00:48:41  baggins
- converted to UTF-8

Revision 1.2  2006/04/04 20:53:19  qboosh
- pl desc

Revision 1.1  2006/04/02 04:28:09  wolvverine
- NFY
